Subject: [Ipsec] Re: IPsec as a standard

From: Michael Richardson <[email-masked]>
Date: Sun, 18 Mar 2007 16:28:38 +0100

Lars D. Noodén wrote:
> That clears up a bit.  How can I follow the process IPsec is taking from 
> proposed standard to draft standard?

   It is a good question.
   Russ, I think that RFC430x has been out long enough to consider this.

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

---

From: Tero Kivinen <[email-masked]>
Date: Sun, 18 Mar 2007 23:20:19 +0200

>    Russ, I think that RFC430x has been out long enough to consider this.

We simply need to update 54 other documents to draft standard before
that... (and I ignored the around 40 more proposed standard documents
which are referenced through RFCs before normative / informational
references split). 

http://ietf-tools-test.kivinen.iki.fi:2080/perl/noauth/showrefs/?.cgifields=info;.cgifields=exp;.cgifields=bcp;.cgifields=stdtrack;.cgifields=std;.cgifields=hist;.cgifields=ds

(that page shows you recursive normative references to documents which
are proposed standards)

    RFC     Title
1.  RFC2156 MIXER (Mime Internet X.400 Enhanced Relay): Mapping between
    X.400 and RFC 822/MIME
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4512
    -> RFC2252 -> RFC4523 -> RFC3641 -> RFC2156
2.  RFC2181 Clarifications to the DNS Specification
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC4519 -> RFC2181
3.  RFC2243 OTP Extended Responses
    RFC4306 -> RFC3748 -> RFC2243
4.  RFC2244 ACAP -- Application Configuration Access Protocol
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511
    -> RFC4422 -> RFC2244
5.  RFC2403 The Use of HMAC-MD5-96 within ESP and AH
    RFC4306 -> RFC3948 -> RFC2406 -> RFC4305 -> RFC2403
6.  RFC2404 The Use of HMAC-SHA-1-96 within ESP and AH
    RFC4306 -> RFC3948 -> RFC2406 -> RFC4305 -> RFC2404
7.  RFC2405 The ESP DES-CBC Cipher Algorithm With Explicit IV
    RFC4306 -> RFC3948 -> RFC2406 -> RFC4305 -> RFC2405
8.  RFC2410 The NULL Encryption Algorithm and Its Use With IPsec
    RFC4306 -> RFC4301 -> RFC4307 -> RFC2410
9.  RFC2451 The ESP CBC-Mode Cipher Algorithms
    RFC4306 -> RFC2451
10. RFC2473 Generic Packet Tunneling in IPv6 Specification
    RFC4306 -> RFC4301 -> RFC3775 -> RFC2473
11. RFC2526 Reserved IPv6 Subnet Anycast Addresses
    RFC4306 -> RFC4301 -> RFC3775 -> RFC2526
12. RFC2560 X.509 Internet Public Key Infrastructure Online Certificate
    Status Protocol - OCSP
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511
    -> RFC4346 -> RFC3546 -> RFC4366 -> RFC2560
13. RFC2585 Internet X.509 Public Key Infrastructure Operational
    Protocols: FTP and HTTP
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511
    -> RFC4346 -> RFC3546 -> RFC4366 -> RFC2585
14. RFC2710 Multicast Listener Discovery (MLD) for IPv6
    RFC4306 -> RFC4301 -> RFC3775 -> RFC2710
15. RFC2712 Addition of Kerberos Cipher Suites to Transport Layer
    Security (TLS)
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511
    -> RFC4346 -> RFC2712
16. RFC2743 Generic Security Service Application Program Interface
    Version 2, Update 1
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511
    -> RFC4422 -> RFC2743
17. RFC2988 Computing TCP's Retransmission Timer
    RFC4306 -> RFC3748 -> RFC2988
18. RFC3041 Privacy Extensions for Stateless Address Autoconfiguration in IPv6
    RFC4306 -> RFC4301 -> RFC3775 -> RFC3041
19. RFC3168 The Addition of Explicit Congestion Notification (ECN) to IP
    RFC4306 -> RFC3168
20. RFC3268 Advanced Encryption Standard (AES) Ciphersuites for Transport
    Layer Security (TLS)
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511
    -> RFC4346 -> RFC3268
21. RFC3280 Internet X.509 Public Key Infrastructure Certificate
    and Certificate Revocation List (CRL) Profile
    RFC4306 -> RFC3280
22. RFC3454 Preparation of Internationalized Strings ("stringprep")
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511 -> RFC3454
23. RFC3490 Internationalizing Domain Names in Applications (IDNA)
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4513 -> RFC3490
24. RFC3491 Nameprep: A Stringprep Profile for Internationalized Domain
    Names (IDN)
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4513
    -> RFC3490 -> RFC3491
25. RFC3492 Punycode: A Bootstring encoding of Unicode for
    Internationalized Domain Names in Applications (IDNA)
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4513
    -> RFC3490 -> RFC3492
26. RFC3526 More Modular Exponential (MODP) Diffie-Hellman groups
    for Internet Key Exchange (IKE)
    RFC4306 -> RFC3526
27. RFC3566 The AES-XCBC-MAC-96 Algorithm and Its Use With IPsec
    RFC4306 -> RFC3948 -> RFC2406 -> RFC4305 -> RFC3566
28. RFC3602 The AES-CBC Cipher Algorithm and Its Use with IPsec
    RFC4306 -> RFC3948 -> RFC2406 -> RFC4305 -> RFC3602
29. RFC3641 Generic String Encoding Rules (GSER) for ASN.1 Types
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4512
    -> RFC2252 -> RFC4523 -> RFC3641
30. RFC3671 Collective Attributes in the Lightweight Directory Access
    Protocol (LDAP)
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4512 -> RFC3671
31. RFC3672 Subentries in the Lightweight Directory Access Protocol (LDAP)
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4512 -> RFC3672
32. RFC3686 Using Advanced Encryption Standard (AES) Counter Mode With
    IPsec Encapsulating Security Payload (ESP)
    RFC4306 -> RFC3948 -> RFC2406 -> RFC4305 -> RFC3686
33. RFC3748 Extensible Authentication Protocol (EAP)
    RFC4306 -> RFC3748
34. RFC3775 Mobility Support in IPv6
    RFC4306 -> RFC4301 -> RFC3775
35. RFC3776 Using IPsec to Protect Mobile IPv6 Signaling Between Mobile
    Nodes and Home Agents
    RFC4306 -> RFC4301 -> RFC3775 -> RFC3776
36. RFC3947 Negotiation of NAT-Traversal in the IKE
    RFC4306 -> RFC3948 -> RFC3947
37. RFC3948 UDP Encapsulation of IPsec ESP Packets
    RFC4306 -> RFC3948
38. RFC4013 SASLprep: Stringprep Profile for User Names and Passwords
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511 -> RFC4013
39. RFC4301 Security Architecture for the Internet Protocol
    RFC4306 -> RFC4301
40. RFC4302 IP Authentication Header
    RFC4306 -> RFC4301 -> RFC4302
41. RFC4303 IP Encapsulating Security Payload (ESP)
    RFC4306 -> RFC3948 -> RFC2406 -> RFC4303
42. RFC4305 Cryptographic Algorithm Implementation Requirements for
    Encapsulating Security Payload (ESP) and Authentication Header (AH)
    RFC4306 -> RFC3948 -> RFC2406 -> RFC4305
43. RFC4306 Internet Key Exchange (IKEv2) Protocol
    RFC4306
44. RFC4307 Cryptographic Algorithms for Use in the Internet Key
    Exchange Version 2 (IKEv2)
    RFC4306 -> RFC4301 -> RFC4307
45. RFC4346 The Transport Layer Security (TLS) Protocol Version 1.1
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511 -> RFC4346
46. RFC4366 Transport Layer Security (TLS) Extensions
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511
    -> RFC4346 -> RFC3546 -> RFC4366
47. RFC4422 Simple Authentication and Security Layer (SASL)
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511 -> RFC4422
48. RFC4434 The AES-XCBC-PRF-128 Algorithm for the Internet Key
    Exchange Protocol (IKE)
    RFC4306 -> RFC4301 -> RFC4307 -> RFC3664 -> RFC4434
49. RFC4510 Lightweight Directory Access Protocol (LDAP): Technical
    Specification Road Map
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510
50. RFC4511 Lightweight Directory Access Protocol (LDAP): The Protocol
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4511
51. RFC4512 Lightweight Directory Access Protocol (LDAP): Directory
    Information Models
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4512
52. RFC4513 Lightweight Directory Access Protocol (LDAP): Authentication
    Methods and Security Mechanisms
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4513
53. RFC4514 Lightweight Directory Access Protocol (LDAP): String
    Representation of Distinguished Names
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4514
54. RFC4515 Lightweight Directory Access Protocol (LDAP): String
    Representation of Search Filters
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC4515
55. RFC4516 Lightweight Directory Access Protocol (LDAP): Uniform
    Resource Locator
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC4516
56. RFC4517 Lightweight Directory Access Protocol (LDAP): Syntaxes
    and Matching Rules
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC4517
57. RFC4518 Lightweight Directory Access Protocol (LDAP):
    Internationalized String Preparation
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC4518
58. RFC4519 Lightweight Directory Access Protocol (LDAP): Schema
    for User Applications
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC4519
59. RFC4522 Lightweight Directory Access Protocol (LDAP): The Binary
    Encoding Option
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4512
    -> RFC2252 -> RFC4523 -> RFC4522
60. RFC4523 Lightweight Directory Access Protocol (LDAP) Schema
    Definitions for X.509 Certificates
    RFC4306 -> RFC4301 -> RFC2253 -> RFC4510 -> RFC2251 -> RFC4512
    -> RFC2252 -> RFC4523
-- 
[email-masked]